﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.Model.Object.Member.MemberGridModel>

@Html.Grid(Model).Named("AllMember").Columns(columns =>
{
    columns.Add(x => x.Type)
        .Titled("Type")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Type);

    columns.Add(x => x.Gender)
        .Titled("Gender")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Gender);

    columns.Add(x => x.FirstName)
        .Titled("FirstName")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.FirstName);

    columns.Add(x => x.LastName)
        .Titled("LastName")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.LastName);

    columns.Add(x => x.Email)
        .Titled("Email")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Email);

    columns.Add(x => x.Phone)
        .Titled("Phone")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Phone);

    columns.Add(x => x.CreatedDate)
        .Titled("Created Date")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.CreatedDate.HasValue ? x.CreatedDate.Value.ToString("dd-MM-yyyy") : string.Empty);

}).Sortable().WithPaging(5)

<h3 id="totalRows">@String.Format("{0} rows", ViewData.Model.GridItems.Count().ToString())</h3>